### Struct

# Gtk Requisition

since: 4.0

#### Description [src]

    struct GtkRequisition {
      int width;
      int height;
    }

A `GtkRequisition` represents the desired size of a widget. See GtkWidget’s geometry management section for more information.

###### Structure members

`width`

  The widget’s desired width.

`height`

  The widget’s desired height.

Available since: 4.0

#### Constructors

###### gtk_requisition_new

Allocates a new `GtkRequisition`.

since: 4.0

#### Instance methods

###### gtk_requisition_copy

Copies a `GtkRequisition`.

since: 4.0

###### gtk_requisition_free

Frees a `GtkRequisition`.

since: 4.0